<template>
<div class="uk-flex-around uk-width-xlarge">
    <div class="uk-card uk-card-default">
        <div class="uk-card-header">
            <div class="uk-margin uk-form-horizontal">
                <label class="uk-form-label" for="form-h-select">Course:</label>
                <div class="uk-form-controls">
                    <select v-on:change="getMatch" v-model="selectedCourse" class="uk-select uk-form-width-large">
                        <option v-for="(value, key) in profileCourses" v-bind:key="key">{{ key }}</option>
                    </select>
                </div>
            </div>
        </div>
    <div v-if="this.$store.state.loading != null"><span uk-spinner="ratio: 4.5"></span></div>
        <div class="uk-card-body" v-if="this.$store.state.loading == null">
            <div class="uk-grid-small uk-flex-middle" uk-grid>
                <!--div class="uk-width-auto">
                    <img class="uk-border-circle" width="40" height="40" src="https://getuikit.com/docs/images/avatar.jpg">
                </div-->
                <div class="uk-width-expand">
                    <h3 class="uk-card-title uk-margin-remove-bottom">{{ profileMatch.name }}</h3>
                </div>
            </div>
            <br>

            <div class="uk-cover-container uk-height-medium">
                <img :src="profileMatch.profile_picture" uk-cover>
            </div>
            <div>
                <p>{{profileMatch.tut}}</p>
                <p>{{profileMatch.description}}</p>
            </div>
        </div>
        <div v-if="this.$store.state.disableSwipe == null" class="uk-card-footer uk-flex uk-flex-center">
            <div class="uk-grid">
                <div class="uk-animation-slide-left uk-width-1-2">
                    <button v-on:click="acceptMatch" class="uk-button uk-button-primary uk-border-rounded">Yes</button>
                </div>
                <div class="uk-animation-slide-right uk-width-1-2">
                    <button v-on:click="rejectMatch" class="uk-button uk-button-danger uk-border-rounded">No</button>
                </div>
            </div>
        </div>
    </div>
</div>
</template>

<script>
export default {
  layout: 'app',
  data () {
      return {
          selectedCourse: '',
          id: this.$store.state.uid,
		  name: this.$store.state.name, 
          match: this.$store.state.match.profile.id,
		  matchVal: this.$store.state.matchVal,
		  profile_picture: this.$store.profile_picture
      }
  },
  methods: {
      signout: function () {
          this.$router.push('/')
          this.$store.dispatch('signout')
      },
      getMatch: function () {
          this.$store.dispatch('getMatch', {
            course: this.selectedCourse,
            uid: this.id
          })
      },
      acceptMatch: function () {
          //console.log('yes')
          this.$store.dispatch('updateMatch', {
              verdict: 'yes',
              uid: this.id, 
              course: this.selectedCourse,
              match: this.match,
			  matchVal: this.matchVal,
			  name: this.name,
			  profile_picture: this.profile_picture
          })
      },
      rejectMatch: function () {
          //console.log('no')
          this.$store.dispatch('updateMatch', {
              verdict: 'no',
              uid: this.id, 
              course: this.selectedCourse,
              match: this.match,
			  matchVal: this.matchVal,
			  name: this.name,
			  profile_picture: this.profile_picture
          })
      },
  },
  computed: {
    profileCourses () {
        return this.$store.getters.loadedCourses
    },  
    profileMatch () {
        return this.$store.getters.loadedMatch
    },
  }
}
</script>